---
title: Get Workflow details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Workflows](https://developers.cloudflare.com/api/typescript/resources/workflows)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Workflow details

client.workflows.get(stringworkflowName, WorkflowGetParams {account\_id } params, RequestOptionsoptions?): [WorkflowGetResponse](<https://developers.cloudflare.com/api/typescript/resources/workflows#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)>) {id, class\_name, created\_on, 7 more }

GET/accounts/{account\_id}/workflows/{workflow\_name}

Retrieves configuration and metadata for a specific workflow.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

workflowName: string

maxLength64

minLength1

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20workflow_name%20%3E%20(schema)>)

<details>

<summary>

params: WorkflowGetParams {account\_id }

</summary>

account\_id: string

<a href="#(resource)%20workflows%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

WorkflowGetResponse {id, class\_name, created\_on, 7 more }

</summary>

id: string

formatuuid

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

class\_name: string

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20class_name">Link to this property</a>

created\_on: string

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

instances: Record&lt;string, number&gt;

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20instances">Link to this property</a>

modified\_on: string

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

name: string

maxLength64

minLength1

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

script\_name: string

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20script_name">Link to this property</a>

triggered\_on: string| null

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20triggered_on">Link to this property</a>

<details>

<summary>

schedules?: Array&lt;Schedule&gt;

</summary>

cron: string

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20cron">Link to this property</a>

next\_instance: string

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20next_instance">Link to this property</a>

</details>

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20schedules">Link to this property</a>

script\_deleted?: boolean

Whether the bound Worker was deleted, leaving this Workflow inactive.

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)%20%3E%20(property)%20script_deleted">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(model)%20workflow_get_response%20%3E%20(schema)>)

### Get Workflow details

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const workflow = await client.workflows.get('x', { account_id: 'account_id' });

console.log(workflow.id);
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "foo": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z",
    "schedules": [
      {
        "cron": "cron",
        "next_instance": "next_instance"
      }
    ],
    "script_deleted": true
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "foo": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z",
    "schedules": [
      {
        "cron": "cron",
        "next_instance": "next_instance"
      }
    ],
    "script_deleted": true
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```